Last Comment Bug 690857 - Windows 7 Taskbar Previews broken on Nightly
: Windows 7 Taskbar Previews broken on Nightly
Status: RESOLVED FIXED
[inbound]
: regression
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal with 1 vote (vote)
: mozilla10
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
: Jim Mathies [:jimm]
Mentors:
Depends on:
Blocks: 675553
  Show dependency treegraph
 
Reported: 2011-09-30 11:37 PDT by WildcatRay
Modified: 2011-10-02 02:58 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Image of Taskbar Preview Issue (664.14 KB, image/png)
2011-09-30 11:37 PDT, WildcatRay
no flags Details
Case with one showing favicon (which was in an individual window) and the missed thumbnail- (273.71 KB, image/png)
2011-09-30 11:49 PDT, Guillermo Moya (MetalS)
no flags Details
patch v1 (1.08 KB, patch)
2011-09-30 13:29 PDT, Siddharth Agarwal [:sid0] (inactive)
mwu.code: review+
Details | Diff | Splinter Review

Description WildcatRay 2011-09-30 11:37:21 PDT
Created attachment 563786 [details]
Image of Taskbar Preview Issue

Tab content fails to display in taskbar previews

STR:
1. In new profile, check option to display previews in Taskbar.
2. Hover mouse over taskbar to display of all tabs open in browser.

Expected:
Preview of content of each tab will be shown.

Actual:
See Image attached.
Comment 1 WildcatRay 2011-09-30 11:42:00 PDT
Regression range based on Nightly nightly buids:

Changeset cb4b93331e4f: OK

Changeset b5b082d183d0: Not OK
Comment 2 Wes Kocher (:KWierso) 2011-09-30 11:44:38 PDT
It's similar for me, but my tab previews are the various tabs' favicons.
Comment 3 Guillermo Moya (MetalS) 2011-09-30 11:46:27 PDT
In addition it also affects if you have other Firefox windows open. Only if the option is enabled.
Comment 4 Guillermo Moya (MetalS) 2011-09-30 11:49:38 PDT
Created attachment 563793 [details]
Case with one showing favicon (which was in an individual window) and the missed thumbnail-
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2011-09-30 11:58:15 PDT
Yes, I can reproduce. Looking into it.
Comment 6 Siddharth Agarwal [:sid0] (inactive) 2011-09-30 12:54:51 PDT
I backed out bug 515907 and the problem still persists, plus that bug doesn't really touch the part of the code that generates previews, so I really doubt it's that.
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2011-09-30 13:01:56 PDT
mwu, could your PRBool to bool change have caused this? See <https://hg.mozilla.org/mozilla-central/diff/e7854b4d29ba/widget/src/windows/TaskbarTabPreview.cpp>.
Comment 8 Siddharth Agarwal [:sid0] (inactive) 2011-09-30 13:15:52 PDT
Yep, I'm pretty sure that's the reason.
Comment 9 Siddharth Agarwal [:sid0] (inactive) 2011-09-30 13:29:21 PDT
Created attachment 563827 [details] [diff] [review]
patch v1

Yep, fallout. We didn't catch this because we were assuming (and not type checking) that PRBool = BOOL.
Comment 10 Siddharth Agarwal [:sid0] (inactive) 2011-09-30 13:55:50 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/746002692d93
Comment 11 Siddharth Agarwal [:sid0] (inactive) 2011-09-30 14:04:38 PDT
Ugh, sorry, I always slip up with marking inbound patches as fixed.
Comment 12 Marco Bonardo [::mak] 2011-10-01 02:46:23 PDT
https://hg.mozilla.org/mozilla-central/rev/746002692d93
Comment 13 WildcatRay 2011-10-01 08:07:27 PDT
I just grabbed the Nightly hourly (C-set ID 164fd1bbd06f) containing the needed patch and can confirm that Win7 Taskbar Previews have been fixed.

Thanks for the fix. Sorry for the initial misdirection. Just think of it as a little test. ;-)
Comment 14 Siddharth Agarwal [:sid0] (inactive) 2011-10-01 09:38:22 PDT
No worries: my patch was the obvious one to blame.

Note You need to log in before you can comment on or make changes to this bug.